<sed> ... </sed> |

`<sed>` is defined in the SED module module. Emulates a subset of sed operations in RXML. (Sed is the Unix "Stream EDitor" program which edits a stream of text according to a set of instructions.)

Attributes |
append, chars, lines, prepend, split, suppress,

Attributes

`append`

`chars`

`lines`

`prepend`

`split`=<linesplit>

`suppress`

    Syntax :

    <sed [suppress] [lines] [chars] [split=<linesplit>]
          [append] [prepend]>
     <e [rxml]>edit command</e>
     <raw>raw, unparsed data</raw>
     <rxml>data run in rxml parser before edited</rxml>
     <source variable|cookie=name [rxml]>
     <destination variable|cookie=name>
     </sed>

    edit commands supported:
     <firstline>,<lastline><edit command>
        ^^ numeral (17) ^^
           or relative (+17, -17)
           or a search regexp (/regexp/)
           or multiple (17/regexp//regexp/+2)

     D                  - delete first line in space
     G                  - insert hold space
     H                  - append current space to hold space
     P                  - print current data
     a<string>          - insert
     c<string>          - change current space
     d                  - delete current space
     h                  - copy current space to hold space
     i<string>          - print string
     l                  - print current space
     p                  - print first line in data
     q                  - quit evaluating
     s/regexp/with/x    - replace
     y/chars/chars/     - replace chars

     where line is numeral, first line==1

Example